Summary: A GUI archive manager.
Name: TkZip
Version: 1.0.15
Release: 1
Group: Applications/File
Copyright: distributable
Source0: TkZip-1.0.15.tar.gz
Source1: TkZip.wmconfig
URL: http://www.pcnet.com/~proteus/TkZip/TkZip.html
Source2: TkZip-1.0.15-Extras.tar
Patch0: TkZip.install.patch
BuildRoot: /var/tmp/TkZip-root
BuildArchitectures: noarch

%description
TkZip is a graphical X interface for archive management.  It
adds a GUI front end to standard archiving utilities: tar, gzip,
compress, zcat, zip, etc. (of course, you must have the appropriate
utilities installed on your system for TkZip to act as a front end for
them).  

TkZip features include automatic archive type recognition (independent
of filename conventions), easy-to-navigate directory/file selection lists,
archive directory viewing, viewing or extraction of selected files from
an archive, automatic file type recognition for files within an archive
and MIME style viewer selection, archive creation/updating, support for
most common archive/compression formats used by UNIX and DOS/Windows
systems, archive device support (floppy, tape), and support for
Windows95(TM) style filenames with embedded spaces in archives created
by WinZip.

TkZip requires Tcl/Tk release 7.4/4.0 or better.

%prep
%setup -q -c
%setup -q -c -b 2
%patch0 -p1  

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/X11/wmconfig/tkzip
mkdir -p $RPM_BUILD_ROOT/usr/share/icons/mini/
mkdir -p $RPM_BUILD_ROOT/usr/bin/
mkdir -p $RPM_BUILD_ROOT/etc/X11/wmconfig/

install -m 755 TkZip $RPM_BUILD_ROOT/usr/bin/
install -m 644 $RPM_BUILD_DIR/TkZip-%{version}/tkzip/TkZip01.xpm $RPM_BUILD_ROOT/usr/share/icons/mini/TkZip01.xpm
install -m 644 $RPM_SOURCE_DIR/TkZip.wmconfig $RPM_BUILD_ROOT/etc/X11/wmconfig/TkZip

%post
wmconfig --output fvwm2 >> /dev/null 2> /dev/null

%postun
wmconfig --output fvwm2 >> /dev/null 2> /dev/null

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%doc tkzip/README tkzip/License tkzip/ReleaseNotes
/usr/bin/TkZip
/usr/share/icons/mini/TkZip01.xpm
/etc/X11/wmconfig/TkZip

%changelog
* Tue Oct 26 1999 Tim Powers <timp@redhat.com>
- updated to 1.0.15

* Mon Aug 30 1999 Tim Powers <timp@redhat.com>
- changed group

* Sun Aug 15 1999 Dale Lovelace <dale@redhat.com>
- added TkZip.wmconfig

* Tue Jun 29 1999 Tim Powers <timp@redhat.com>
- updated to new version
- new patch for TkZip installer
- built for Powertools 6.1

* Tue Apr 13 1999 Michael Maher <mike@redhat.com>
- built package for 6.0

* Wed Oct 06 1998 Michael Maher <mike@redhat.com>
- updated package
- fixed spec file

* Fri May 15 1998 Michael Maher <mike@redhat.com>
- updated package 
- added description
- added buildroot
- added patches 
- added wmconfig icons

* Fri Jan 16 1998 Otto Hammersmith <otto@redhat.com>
- added wmconfig entry

* Tue Jan 13 1998 Otto Hammersmith <otto@redhat.com>
- built the package
